using System;
using System.Collections.Specialized;
using System.Web.UI.WebControls;


namespace AspNetGallery.Extensions.Controls
{
    public class FixedTextBox : TextBox
    {
        protected override Boolean LoadPostData(String postDataKey, NameValueCollection postCollection)
        {
            var updated = base.LoadPostData(postDataKey, postCollection);
            if (updated)
            {
                Text = Text.Substring(0, MaxLength);
            }

            return updated;
        }


        protected override void CreateChildControls()
        {
            base.CreateChildControls();
            var ctl = new HiddenField();
            ctl.ID = ID + "_ReadOnly";
            Controls.Add(ctl);
        }
    }
}