using System;
using System.Diagnostics;
using System.Web;


namespace AspNetGallery.Extensions.Modules
{
    public class LoggingModule : IHttpModule
    {
        public virtual void Init(HttpApplication application)
        {
            application.Error += OnError;
        }

        public void Dispose()
        {
        }        
        
        protected virtual void OnError(object sender, EventArgs args)
        {
            var application = (HttpApplication) sender;
            LogException(application.Server.GetLastError(), application.Context);
        }

        protected virtual void LogException(Exception e, HttpContext context)
        {
            try
            {
                // Do your own logging here

            }
            catch (Exception localException)
            {
                Trace.WriteLine(localException);
            }
        }
    }
}
