﻿using System;
using System.Web;

namespace XhrLogin.Account
{
    public partial class Login : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (IsLoginRequestedViaXhr())
            {
                Context.Response.StatusCode = 403;
                Context.Response.End();
            }

            RegisterHyperLink.NavigateUrl = "Register.aspx?ReturnUrl=" + HttpUtility.UrlEncode(Request.QueryString["ReturnUrl"]);
        }

        private bool IsLoginRequestedViaXhr()
        {
            var isXhr = Context.Request.Headers["X-Requested-With"] == "XMLHttpRequest";
            var hasReturnUrl = !String.IsNullOrWhiteSpace(Context.Request.QueryString["ReturnUrl"]);

            return hasReturnUrl && isXhr; 
        }
    }
}
