﻿using System;
using System.Web.UI.WebControls;

namespace Localized.Private
{
    public partial class MoneyIntl : System.Web.UI.Page
    {
        protected override void InitializeCulture()
        {
            base.InitializeCulture();
            UICulture = DetermineLocaleToEnforce();
        }

        protected void Page_Load(Object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                var languageCode = DetermineLocaleToEnforce();
                var item = Languages.Items.FindByValue(languageCode);
                Languages.SelectedIndex = Languages.Items.IndexOf(item);
            }
        }

        protected void Button1_Click(Object sender, EventArgs e)
        {
            var languageInfo = GetCurrentLocale();
            Cache["Language"] = languageInfo;
            
            Response.Redirect("/private/moneyintl.aspx");
        }

        private String DetermineLocaleToEnforce()
        {
            var language = Cache["Language"] as String;
            if (String.IsNullOrEmpty(language))
                language = "en-US";
            return language;
        }
        
        private String GetCurrentLocale()
        {
            return Languages.SelectedValue;
        }
    }
}