﻿using System;
using System.IO;
using System.Web.UI;

namespace ControlFun
{
    public partial class InputFile : Page
    {
        public void UploadButton_Click(object sender, EventArgs e)
        {
            // Specify the path on the server to
            // save the uploaded file to. 
            // *** ASSUME THE PATH EXISTS ***
            var savePath = @"c:\temp\Uploaded Files\";
            if (!Directory.Exists(savePath))
            {
                const String msg = "<h1>The upload path doesn't exist: {0}</h1>";
                UploadStatusLabel.InnerHtml = String.Format(msg, savePath);
                return;
            }


            // Verify that a file has been posted 
            if (FileUpload1.PostedFile != null)
            {
                // Get the name of the file to upload.
                var fileName = Path.GetFileName(FileUpload1.Value);

                // Append the name of the file to upload to the path.
                savePath += fileName;

                // Call the SaveAs method to save the 
                // uploaded file to the specified path.
                // This example does not perform all
                // the necessary error checking.               
                // If a file with the same name
                // already exists in the specified path,  
                // the uploaded file overwrites it.
                FileUpload1.PostedFile.SaveAs(savePath);

                // Notify the user of the name the file
                // was saved under.
                UploadStatusLabel.InnerText = "File saved as: <i>" + savePath + "</i>";
            }
            else
            {
                // Notify the user that a file was not uploaded.
                UploadStatusLabel.InnerText = "You did not specify a file to upload.";
            }
        }
    }
}