﻿using System;
using System.IO;
using System.Web;

namespace JsCaching
{
    /// <summary>
    /// Serves up script files with ad hoc caching settings
    /// </summary>
    public class Scripter : IHttpHandler
    {
        public void ProcessRequest(HttpContext context)
        {
            var resourceName = context.Request["src"] ?? "";
            if (String.IsNullOrWhiteSpace(resourceName))
                return;

            // Grab server file
            var file = context.Server.MapPath(resourceName);
            if (!File.Exists(file))
                return;

            context.Response.ContentType = "text/javascript";
            //context.Response.Cache.SetCacheability(HttpCacheability.Public);
            //context.Response.Cache.SetNoStore(); // Using no-cache only just doesn’t stop caching in Firefox
            //context.Response.Cache.SetExpires(DateTime.MinValue);

            context.Response.TransmitFile(file);
        }

        public bool IsReusable
        {
            get { return true; }
        }
    }
}