﻿using System;
using System.Collections.Generic;
using System.Web.UI;
using Entities;
using Presentation.Presenters.Default;
using Presentation.Views.Default;

namespace MoneyExpressWeb
{
    public partial class Default : Page, IDefaultView
    {
        private DefaultPresenter _presenter = null;
        protected void Page_Load(object sender, EventArgs e)
        {
            _presenter = new DefaultPresenter(this);
        }

        protected void btnRefresh_Click(object sender, EventArgs e)
        {
            _presenter.Refresh();
        }

        protected void btnRedirect_Click(object sender, EventArgs e)
        {
            _presenter.Redirect();
        }

        #region IDefaultView Members

        public IList<StockInfo> Quotes
        {
            get
            {
                return GridView1.DataSource as IList<StockInfo>;
            }
            set
            {
                GridView1.DataSource = value;
                GridView1.DataBind();
            }
        }

        public string Message
        {
            get
            {
                return lblMessage.Text;
            }
            set
            {
                lblMessage.Text = value;
            }
        }

        public string Symbols
        {
            get
            {
                return txtSymbols.Text;
            }
            set
            {
                txtSymbols.Text = value;
            }
        }

        #endregion
    }
}
