﻿using System;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Presentation.Presenters.Default;
using TddFun.TestDoubles;

namespace TddFun
{
    [TestClass]
    public class DefaultPresenterTests
    {
        [TestMethod]
        public void TestIfQuotesAreBeingReturnedForEverySymbol()
        {
            // Arrange
            const String testData = "XXX,YYY,ZZZ";
            var inputSymbols = testData.Split(',').ToList();
            var view = new FakeDefaultView(testData);
            var presenter = new DefaultPresenter(view, new FakeQuoteService());

            // Act
            presenter.Refresh();

            // Assert
            Assert.AreEqual(view.Quotes.Count, inputSymbols.Count);
            foreach(var quote in view.Quotes)
            {
                Assert.IsTrue(inputSymbols.Contains(quote.Company));
            }
        }
    }
}
