﻿using System.Security.Principal;
using System.Web;
using System.Web.Security;
using CustomAuth.Account;

namespace CustomAuth
{
    public class Global : HttpApplication
    {
        protected void Application_PostAuthenticateRequest()
        {
            // Collect current security information 
            var principal = HttpContext.Current.User as GenericPrincipal; //RolePrincipal;
            if (principal == null)
                return;
            var identity = principal.Identity as FormsIdentity;
            if (identity == null)
                return;
            var roles = new string[0];
            if ((HttpContext.Current.User as RolePrincipal) != null)
                roles = (HttpContext.Current.User as RolePrincipal).GetRoles();

            // Extract user data in the authentication ticket
            var customInfo = identity.Ticket.UserData;
            var tokens = customInfo.Split('|');

            // Build a richer principal object  
            var myPrincipal = new MyPrincipal(identity, roles)
                                    {
                                    CurrentTime = tokens[0], 
                                    Number = tokens[1]
                                };

            // Store the new principal in the HttpContext
            HttpContext.Current.User = myPrincipal;
        }
    }
}
